# BouncyDriver

A 2D driving game made with C++ and Box2D

## Build

You need `make`, `SDL1` and [Box2D](https://github.com/erincatto/box2d) to build this project.

Example on Ubuntu :
```sh
$ sudo apt install make g++ libsdl-dev libsdl-image1.2-dev libsdl-gfx1.2-dev
$ make
```

**Warning about Box2D** : you need at least version 2.4.1 in order to compile this project. If your package manager is out of date, please build Box2D and install it from source.

To execute :
```sh
$ make exec
```

## Controls

- **A, Q** : air control, rotate left
- **D** : air control, rotate right
- **P** : pause
- **Arrow right** : go forward
- **Arrow left** : go backward
- **Arrow down** : break
- **L** : choose level
